﻿Module AppComands


    Public CurrentWebBrowser As New WebBrowser


    Public Sub CreateTab(ByVal theme As String)
        Dim Browse As New WebBrowser
        Browse.Name = "wb"
        Browse.Dock = DockStyle.Fill
        Browse.Visible = True

        Select Case theme
            Case "default"
                Browse.Tag = "form1"
                Form1.TabControl1.TabPages.Add(Form1.TabControl1.TabPages.Count - 1, "New Tab")
                Form1.TabControl1.SelectTab(Form1.TabControl1.TabPages.Count - 1)
                Form1.TabControl1.SelectedTab.Controls.Add(Browse)
                Select_WB("form1")
            Case "clear"
                Browse.Tag = "form3"
                Dim page As New ComponentFactory.Krypton.Navigator.KryptonPage

                page.Text = "..." '
                page.Tag = "..."
                Form3.KryptonNavigator1.Pages.Add(page)
                Form3.KryptonNavigator1.SelectedIndex = Form3.KryptonNavigator1.Pages.Count - 2
                Form3.KryptonNavigator1.SelectedPage.Controls.Add(Browse)
                Select_WB("form3")
        End Select



        AddHandler Browse.Navigating, AddressOf Browse_Navigating
        AddHandler Browse.Navigated, AddressOf Browse_Navigated
        AddHandler Browse.DocumentTitleChanged, AddressOf Browse_DTC


    End Sub

    Public Sub loadbookmarks()
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath + "/bookmarks.txt") Then
            Dim i As Integer
            Dim file As String = My.Application.Info.DirectoryPath + "/bookmarks.txt"
            Dim read As New System.IO.StreamReader(file)
            Dim line() As String
            Dim textbox As String

            textbox = read.ReadToEnd
            line = textbox.Split(",")
            For i = 0 To UBound(line)
                _1Bookmarks.KryptonListBox1.Items.Add(line(i))
            Next i
        Else
        End If

    End Sub

    Sub loadhistory()
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath + "/history.txt") Then
            Dim i As Integer
            Dim file As String = My.Application.Info.DirectoryPath + "/history.txt"
            Dim read As New System.IO.StreamReader(file)
            Dim line() As String
            Dim textbox As String

            textbox = read.ReadToEnd
            line = textbox.Split(",")
            For i = 0 To UBound(line)
                _1History.KryptonListBox1.Items.Add(line(i))
            Next i
        Else
        End If
    End Sub

    Sub Browse_Navigated(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserNavigatedEventArgs)
        Select Case sender.tag
            Case "form1"
                Select_WB(sender.tag)
                Dim FulLine As String = CurrentWebBrowser.Document.Title
                Dim TabText As String
                If FulLine.Length > 30 Then
                    TabText = FulLine.Substring(0, 30)
                Else
                    TabText = FulLine
                End If
                Form1.TabControl1.SelectedTab.Text = TabText
                Form1.TabControl1.SelectedTab.ToolTipText = CurrentWebBrowser.Document.Title
                Form1.KCmbAddress.Text = CurrentWebBrowser.Url.AbsoluteUri
                Form1.KCmbAddress.Focus()
            Case "form3"
                Dim FullLine As String = CurrentWebBrowser.Document.Title
                Select_WB(sender.tag)
                Form3.KryptonNavigator1.SelectedPage.Text = CurrentWebBrowser.Document.Title
                Form3.KCmb_Addres.Text = CurrentWebBrowser.Url.AbsoluteUri
                Form3.Kbtn_Stop.Visible = False
                Form3.KBtn_Refresh.Visible = True
                Form3.KryptonNavigator1.SelectedPage.ToolTipTitle = ""
                Form3.KryptonNavigator1.SelectedPage.ToolTipBody = FullLine
                Form3.KCmb_Addres.Focus()
        End Select

    End Sub

    Sub Browse_DTC(ByVal sender As System.Object, ByVal e As System.EventArgs)
        If TypeOf sender Is WebBrowser Then
            Select Case sender.tag
                Case "form1"
                    If Form1.KCmbAddress.Items.Contains(CurrentWebBrowser.Url.AbsoluteUri) Then
                    Else
                        Form1.KCmbAddress.Items.Add(CurrentWebBrowser.Url.AbsoluteUri)
                    End If
                    If _1History.KryptonListBox1.Items.Contains(CurrentWebBrowser.Url.AbsoluteUri) Then
                    Else
                        _1History.KryptonListBox1.Items.Add(CurrentWebBrowser.Url.AbsoluteUri)
                    End If
                Case "form3"
                    If Form3.KCmb_Addres.Items.Contains(CurrentWebBrowser.Url.AbsoluteUri) Then
                    Else
                        Form3.KCmb_Addres.Items.Add(CurrentWebBrowser.Url.AbsoluteUri)
                    End If
                    If _1History.KryptonListBox1.Items.Contains(CurrentWebBrowser.Url.AbsoluteUri) Then
                    Else
                        _1History.KryptonListBox1.Items.Add(CurrentWebBrowser.Url.AbsoluteUri)
                    End If
            End Select
        End If

    End Sub

    Sub Browse_Navigating(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserNavigatingEventArgs)

        If TypeOf sender Is WebBrowser Then
            Select Case sender.tag
                Case "form1"
                    Form1.ToolStripStatusLabel1.Text = CurrentWebBrowser.StatusText
                Case "form3"
                    Form3.KBtn_Refresh.Visible = False
                    Form3.Kbtn_Stop.Visible = True
            End Select
        End If

    End Sub
    Public Sub Select_WB(ByVal formName As String)
        Select Case formName
            Case "form1"
                AppComands.CurrentWebBrowser = Form1.CurrentWebBrowser
            Case "form3"
                AppComands.CurrentWebBrowser = Form3.CurrentWebBrowser
        End Select

    End Sub
End Module
