Imports System.Xml
Public Class SplashScreen
    Public style As String = Nothing
    Public Theme As String = Nothing
    Private Sub SplashScreen_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim Xdoc As New XmlDocument
        Try

            Xdoc.Load(Application.StartupPath & "\style.xml")
            Dim _node As XmlNode = Xdoc.SelectSingleNode("/root/settings/FormStyle")


            style = _node.Attributes("style").Value.ToString
            Theme = _node.Attributes("theme").Value.ToString

            Select Case style
                Case "Office 2010 - Blue"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2010Blue
                    'Form1.Show()
                Case "Office 2010 - Silver"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2010Silver
                Case "Office 2010 - Black"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2010Black
                Case "Office 2007 - Blue"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2007Blue
                Case "Office 2007 - Silver"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2007Silver
                Case "Office 2007 - Black"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.Office2007Black
                Case "System - Professional"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.ProfessionalSystem
                Case "System - Office 2003"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.ProfessionalOffice2003
                Case "Sparkle - Blue"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.SparkleBlue
                Case "Sparkle - Orange"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.SparkleOrange
                Case "Sparkle - Purple"
                    KryptonManager.GlobalPaletteMode = ComponentFactory.Krypton.Toolkit.PaletteModeManager.SparklePurple
            End Select

        Catch xmlex As XmlException
            MsgBox(xmlex.ToString)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try



    End Sub


    Private Sub Timer1_Tick(sender As System.Object, e As System.EventArgs) Handles Timer1.Tick
        Try
            Select Case Theme
                Case "Clear Theme"
                    Form3.Show()
                    Me.Close()
                Case "Default Theme"
                    Form1.Show()
                    Me.Close()
                Case Else
                    ' if an error occurs show Form 1 as default
                    Form1.Show()
                    Me.Close()
            End Select
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub
End Class
