Imports System.ComponentModel
Public Class Form1
#Region "Declarations"
    Public i As Integer
    Public t As String = 0
    Public able As String = 1
    Public WithEvents bw As New BackgroundWorker With {.WorkerSupportsCancellation = True}
    Public CurrentWebBrowser As New WebBrowser
#End Region
    Public Delegate Sub SelectWebBrowserCallBack()
    Private Sub SelectWebBrowser()
        If Me.TabControl1.InvokeRequired Then
            Dim s As New SelectWebBrowserCallBack(AddressOf SelectWebBrowser)
            Me.Invoke(s)
        Else
            CurrentWebBrowser = CType(TabControl1.SelectedTab.Controls.Item(0), WebBrowser)
        End If
    End Sub
#Region "Kryppton buttons"
    Private Sub KbtnBookmarks_Click(sender As System.Object, e As System.EventArgs) Handles KbtnBookmarks.Click
        _1Bookmarks.ShowDialog()
    End Sub

    Private Sub KbtnHistory_Click(sender As System.Object, e As System.EventArgs) Handles KbtnHistory.Click
        _1History.ShowDialog()
    End Sub

    Private Sub KbtnSettings_Click(sender As System.Object, e As System.EventArgs) Handles KbtnSettings.Click
        _1Options.ShowDialog()
    End Sub

    Private Sub KbtnBack_Click(sender As System.Object, e As System.EventArgs) Handles KbtnBack.Click
        CurrentWebBrowser.GoBack()
    End Sub

    Private Sub KbtnFwd_Click(sender As System.Object, e As System.EventArgs) Handles KbtnFwd.Click
        CurrentWebBrowser.GoForward()
    End Sub

    Private Sub KbtnRefresh_Click(sender As System.Object, e As System.EventArgs) Handles KbtnRefresh.Click
        CurrentWebBrowser.Refresh()
    End Sub

    Private Sub KbtnStop_Click(sender As System.Object, e As System.EventArgs) Handles KbtnStop.Click
        CurrentWebBrowser.Stop()
    End Sub

    Private Sub KbtnHome_Click(sender As System.Object, e As System.EventArgs) Handles KbtnHome.Click
        CurrentWebBrowser.Navigate(My.Settings.Home)
    End Sub

    Private Sub KryptonButton6_Click(sender As System.Object, e As System.EventArgs) Handles KbtnGo.Click
        CurrentWebBrowser.Navigate(KCmbAddress.Text)
        If _1History.KryptonListBox1.Items.Contains(KCmbAddress.Text) = True Then
        Else
            _1History.KryptonListBox1.Items.Add(KCmbAddress.Text)
        End If
    End Sub

    Private Sub KbtnSrcProvider_Click(sender As System.Object, e As System.EventArgs) Handles KbtnSrcProvider.Click
        _1SearchProvider.Show()
    End Sub

    Private Sub KbtnSearch_Click(sender As System.Object, e As System.EventArgs) Handles KbtnSearch.Click

        Select Case KbtnSrcProvider.Tag
            Case "Google"
                CurrentWebBrowser.Navigate(("https://www.google.com/#hl=en&tok=mKQq_MG5Kf3W-oA6V84wFQ&cp=11&gs_id=8k&xhr=t&q=" + KtxtSearch.Text + "&pf=p&sclient=psy-ab&site=&source=hp&pbx=1&oq=" + KtxtSearch.Text + "&aq=0&aqi=g1g-s3&aql=&gs_sm=&gs_upl=&bav=on.2,or.r_gc.r_pw.r_cp.,cf.osb&fp=52c1190fe9207704&biw=1280&bih=667"))
            Case "Yahoo"
                CurrentWebBrowser.Navigate("http://search.yahoo.com/search;_ylt=Ahanx3AyXSSYC4CY3kA5slybvZx4?p=" + KtxtSearch.Text + "&toggle=1&cop=mss&ei=UTF-8&fr=yfp-t-701")
            Case "Bing"
                CurrentWebBrowser.Navigate("http://www.bing.com/search?q=" + KtxtSearch.Text + "&go=&qs=n&sk=&form=QBLH")
            Case "Ask"
                CurrentWebBrowser.Navigate("http://www.ask.com/web?q=" + KtxtSearch.Text + "&search=&qsrc=0&o=0&l=dir")
            Case "Youtube"
                CurrentWebBrowser.Navigate("http://www.youtube.com/results?search_query=" + KtxtSearch.Text + "&oq=" + KtxtSearch.Text + "&aq=f&aqi=g1&aql=&gs_sm=e&gs_upl=324l2276l0l2782l5l5l0l2l2l0l299l729l0.1.2l3l0")
        End Select
    End Sub

    Private Sub KbtnHelp_Click(sender As System.Object, e As System.EventArgs) Handles KbtnHelp.Click
        MsgBox("Welcome to the Trinity Project, an open-source, co-lab webbrowser project." + vbNewLine + "This project was started by Brandonsoft, and is hosted on BPForums." + vbNewLine + "Have Fun!", , "Trinity webbrowser")
    End Sub
#End Region

#Region "Form1 Events"
    Private Sub Form1_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

        _1Bookmarks.Close()
        _1History.Close()
        _1Options.Close()
        _1SearchProvider.Close()
    End Sub

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        On Error GoTo E


        AppComands.CreateTab("default")
        AppComands.loadhistory()
        AppComands.loadbookmarks()
        CurrentWebBrowser.Navigate(My.Settings.Home)
        CurrentWebBrowser.Dispose()
        i = 0
        CurrentWebBrowser = CType(TabControl1.SelectedTab.Controls.Item(0), WebBrowser)
        AppComands.Select_WB("form1")
        Dim reader As New System.IO.StreamReader(My.Application.Info.DirectoryPath + "/search.txt")
        KbtnSrcProvider.Tag = reader.ReadLine
        reader.Close()
        reader.Dispose()


        Select Case KbtnSrcProvider.Tag
            Case "Google"
                KbtnSrcProvider.Values.Image = _1SearchProvider.KryptonButton1.Values.Image
            Case "Yahoo"
                KbtnSrcProvider.Values.Image = _1SearchProvider.KryptonButton2.Values.Image
            Case "Bing"
                KbtnSrcProvider.Values.Image = _1SearchProvider.KryptonButton3.Values.Image
            Case "Ask"
                KbtnSrcProvider.Values.Image = _1SearchProvider.KryptonButton4.Values.Image
            Case "Youtube"
                KbtnSrcProvider.Values.Image = _1SearchProvider.KryptonButton5.Values.Image
        End Select

E:
    End Sub
#End Region

#Region "TabControl Events"
    Private Sub TabControl1_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles TabControl1.SelectedIndexChanged
        Try

            CurrentWebBrowser = CType(TabControl1.SelectedTab.Controls.Item(0), WebBrowser)
            Select_WB("form1")
            If TabControl1.SelectedTab.Text = "New Tab" Then
                KCmbAddress.Text = "Enter Address"
            Else
                KCmbAddress.Text = CurrentWebBrowser.Url.AbsoluteUri
            End If

        Catch aoore As ArgumentOutOfRangeException

            If bw.IsBusy Then
                bw.CancelAsync()
            Else
                bw.RunWorkerAsync()
            End If

        Catch nre As NullReferenceException
            'MsgBox(nre.ToString)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub
#End Region

#Region "ComboBox KeyDown Event"

    Private Sub KCmbAddress_KeyDown(sender As System.Object, e As System.Windows.Forms.KeyEventArgs) Handles KCmbAddress.KeyDown
        If e.KeyCode = Keys.Enter Then
            CurrentWebBrowser.Navigate(KCmbAddress.Text)
        End If
    End Sub
#End Region

#Region "Background worker"
    Private Sub bw_DoWork(sender As Object, e As System.ComponentModel.DoWorkEventArgs) Handles bw.DoWork
        If bw.CancellationPending = True Then
            Exit Sub
        Else
            Threading.Thread.Sleep(100)

            SelectWebBrowser()
            If Not CurrentWebBrowser Is Nothing Then
                bw.CancelAsync()

            End If
        End If

    End Sub
#End Region
 
End Class
