Public Class Form3
  

    Public CurrentWebBrowser As WebBrowser = Nothing
#Region "Form Load"
    Private Sub Form3_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        AppComands.CreateTab("clear")
        CurrentWebBrowser = CType(KryptonNavigator1.SelectedPage.Controls.Item(0), WebBrowser)
        AppComands.Select_WB("form3")

        CurrentWebBrowser.Navigate(My.Settings.Home)
        createButtons()
        KCmb_Addres.Focus()
    End Sub
#End Region

#Region "Navigation Butons"
    Private Sub KBtn_Go_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Go.Click
        CurrentWebBrowser.Navigate(KCmb_Addres.Text)
    End Sub
    Private Sub KBtn_Refresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Refresh.Click
        CurrentWebBrowser.Refresh()
    End Sub
    Private Sub KBtn_Back_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Back.Click
        CurrentWebBrowser.GoBack()
    End Sub
    Private Sub KBtn_Forward_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Forward.Click
        CurrentWebBrowser.GoForward()
    End Sub
    Private Sub KBtn_Home_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Home.Click
        CurrentWebBrowser.Navigate(My.Settings.Home)
    End Sub
    Private Sub KBtn_Settings_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KBtn_Settings.Click
        If StatusStrip1.Visible = False Then
            'ToolStrip1.Visible = True
            StatusStrip1.Visible = True
        Else
            StatusStrip1.Visible = False
            'ToolStrip1.Visible = False
        End If

    End Sub
#End Region

#Region "Krypton Combo Box "
    Private Sub KCmb_Addres_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles KCmb_Addres.KeyPress

        If e.KeyChar = Microsoft.VisualBasic.ChrW(Keys.Enter) Then
            CurrentWebBrowser.Navigate(KCmb_Addres.Text)
        End If

    End Sub


#End Region

#Region " krypton Navigator Page Changed"
    Private Sub KryptonNavigator1_SelectedPageChanged(sender As System.Object, e As System.EventArgs) Handles KryptonNavigator1.SelectedPageChanged
        If (KryptonNavigator1.SelectedIndex = KryptonNavigator1.Pages.Count - 1) Then
            'The user clicked the tab to add a tab, let's add a tab
            If Not (CurrentWebBrowser Is Nothing) Then
                'This ensures that the program is not starting up-
                AppComands.CreateTab("clear")
                CurrentWebBrowser = CType(KryptonNavigator1.SelectedPage.Controls.Item(0), WebBrowser)
                AppComands.Select_WB("form3")
                KCmb_Addres.Text = ""
                CurrentWebBrowser.Navigate(My.Settings.Home)
            End If

        End If
        Try
            CurrentWebBrowser = CType(KryptonNavigator1.SelectedPage.Controls.Item(0), WebBrowser)
            AppComands.Select_WB("form3")
            Try
                'This occurs when the selectedtab is changed in the Krypton Navigator
                KCmb_Addres.Text = CType(KryptonNavigator1.SelectedPage.Controls.Item(0), WebBrowser).Url.AbsoluteUri
            Catch ex As System.NullReferenceException
                KCmb_Addres.Text = ""
            End Try
        Catch ex As Exception
        End Try
    End Sub
#End Region

#Region "Status Strip Buttons"
    Private Sub createButtons()
        Dim Btns(5) As ToolStripButton

        For i As Integer = 0 To 5 Step 1
            Btns(i) = New ToolStripButton With {.Name = "btn" + i.ToString, .DisplayStyle = ToolStripItemDisplayStyle.ImageAndText, .Visible = True}
            Select Case Btns(i).Name
                Case "btn0"
                    With Btns(i)
                        .Text = "New Tab"
                        .Image = My.Resources.ui_tab__plus
                        AddHandler .Click, AddressOf BtnNewTab_Click
                    End With
                Case "btn1"
                    With Btns(i)
                        .Text = "Close Tab"
                        .Image = My.Resources.ui_tab__minus
                        AddHandler .Click, AddressOf BtnCloseTab_Click
                    End With
                Case "btn2"
                    With Btns(i)
                        .Text = "History"
                        .Image = My.Resources.clock_history
                        AddHandler .Click, AddressOf BtnHistory_Click
                    End With
                Case "btn3"
                    With Btns(i)
                        .Text = "Bookmarks"
                        .Image = My.Resources.bookmark
                        AddHandler .Click, AddressOf BtnBookmarks_Click
                    End With
                Case "btn4"
                    With Btns(i)
                        .Text = "Set Home"
                        .Image = My.Resources.home
                        AddHandler .Click, AddressOf BtnHome_Click
                    End With
                Case "btn5"
                    With Btns(i)
                        .Text = "Change Styles"
                        .Image = My.Resources.color_swatches
                        AddHandler .Click, AddressOf BtnStyle_Click
                    End With
            End Select
        Next
        StatusStrip1.Items.AddRange(Btns)
    End Sub

    Private Sub BtnHistory_Click(sender As System.Object, e As System.EventArgs)
        _1History.ShowDialog()
    End Sub

    Private Sub BtnBookmarks_Click(sender As System.Object, e As System.EventArgs)
        _1Bookmarks.ShowDialog()
    End Sub
    Private Sub BtnStyle_Click(sender As System.Object, e As System.EventArgs)
        Style.ShowDialog()
    End Sub
    Private Sub BtnHome_Click(sender As System.Object, e As System.EventArgs)
        My.Settings.Home = KCmb_Addres.Text
    End Sub

    Private Sub BtnCloseTab_Click(sender As System.Object, e As System.EventArgs)
        Try
            Dim i As Integer = KryptonNavigator1.SelectedIndex
            '#####################################################
            'Strange behaivor note: classicly, once we remove a tab, it selects the index of i+1
            'if the last tab is removed, it will select the "add tab" tab, causing a new tab
            'to appear. We need to manually prevent this by checking "i"
            If (i = KryptonNavigator1.Pages.Count - 2 AndAlso i > 0) Then
                Dim addPage As ComponentFactory.Krypton.Navigator.KryptonPage = KryptonNavigator1.Pages(KryptonNavigator1.Pages.Count - 1)
                KryptonNavigator1.Pages.RemoveAt(KryptonNavigator1.Pages.Count - 1)
                KryptonNavigator1.Pages.RemoveAt(KryptonNavigator1.SelectedIndex)
                If (i > 0) Then
                    KryptonNavigator1.SelectedIndex = (i - 1)
                Else
                    KryptonNavigator1.SelectedIndex = i
                End If
                KryptonNavigator1.Pages.Add(addPage)
            Else
                'default behaivor:
                KryptonNavigator1.Pages.RemoveAt(KryptonNavigator1.SelectedIndex)
            End If

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub

    Private Sub BtnCloseAllTabs_Click(sender As System.Object, e As System.EventArgs)
        While (KryptonNavigator1.Pages.Count > 2)
            Dim skipPage As ComponentFactory.Krypton.Navigator.KryptonPage = KryptonNavigator1.SelectedPage
            For i As Integer = 0 To KryptonNavigator1.Pages.Count - 1 Step 1
                If (i >= 0 AndAlso i < KryptonNavigator1.Pages.Count - 1) Then



                    If Not (KryptonNavigator1.Pages(i) Is skipPage Or KryptonNavigator1.Pages(i).Text.Equals("...")) Then
                        KryptonNavigator1.Pages.RemoveAt(i)
                    End If
                End If
            Next
        End While
    End Sub

    Private Sub BtnNewTab_Click(sender As System.Object, e As System.EventArgs)
        AppComands.CreateTab("clear")
        CurrentWebBrowser = CType(KryptonNavigator1.SelectedPage.Controls.Item(0), WebBrowser)
        AppComands.Select_WB("form3")
        KCmb_Addres.Text = ""
        CurrentWebBrowser.Navigate(My.Settings.Home)
    End Sub
#End Region

#Region "rightClickTabMenu"
    Private Sub addTabCommand_Execute(sender As System.Object, e As System.EventArgs) Handles addTabCommand.Execute
        BtnNewTab_Click(sender, e)
    End Sub

    Private Sub closeTabCommand_Execute(sender As System.Object, e As System.EventArgs) Handles closeTabCommand.Execute
        BtnCloseTab_Click(sender, e)
    End Sub

    Private Sub closeAllTabsCommand_Execute(sender As System.Object, e As System.EventArgs) Handles closeAllTabsCommand.Execute
        BtnCloseAllTabs_Click(sender, e)
    End Sub
#End Region

   
End Class
