Imports System.Xml
Public Class Style

    Private XWriter As XmlWriter
    Private XReader As New XmlDocument
    Private Sub Style_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        XReader.Load(Application.StartupPath & "\style.xml")
        Dim _node As XmlNode = XReader.SelectSingleNode("/root/settings/FormStyle")
        KryptonComboBox1.Text = _node.Attributes("theme").Value.ToString
        KryptonComboBox2.Text = _node.Attributes("style").Value.ToString
        
    End Sub

    Private Sub KryptonButton2_Click(sender As System.Object, e As System.EventArgs) Handles KryptonButton2.Click
        Me.Close()
    End Sub

    Private Sub KryptonButton1_Click(sender As System.Object, e As System.EventArgs) Handles KryptonButton1.Click
        Try
            XReader.Load(Application.StartupPath & "\style.xml")
            XReader.RemoveAll()
            Dim XSettings As New XmlWriterSettings
            XSettings.Indent = True
            XSettings.NewLineOnAttributes = False
            XSettings.Encoding = System.Text.Encoding.UTF8
            XWriter = XmlWriter.Create(Application.StartupPath & "\style.xml", XSettings)

            With XWriter
                .WriteStartDocument(True)
                .WriteStartElement("root")
                .WriteStartElement("settings")
                .WriteStartElement("FormStyle")
                .WriteStartAttribute("theme") : .WriteValue(KryptonComboBox1.Text) : .WriteEndAttribute()
                .WriteStartAttribute("style") : .WriteValue(KryptonComboBox2.Text) : .WriteEndAttribute()
                .WriteEndElement()
                .WriteEndElement()
                .WriteEndElement()
                .WriteEndDocument()
                .Flush()
                .Close()
            End With
        Catch xmlex As XmlException
            MsgBox(xmlex.ToString)
        Catch ex As Exception
            ex.ToString()
        End Try

        If MsgBox("In order for the themes to be affected, you must restart Trinity Webbrowser. Do you want to restart Trinity Webbrowser now?", 4 + 48 + 0, "Trinity Webbrowser") = vbYes Then
            Form1.Close()
            _1Bookmarks.Close()
            _1History.Close()
            _1Options.Close()
            _1SearchProvider.Close()
            Me.Close()
            Form3.Close()
            history.Close()
            Form4.Close()
            SplashScreen.Close()
            Application.Restart()
        Else
            Me.Close()
        End If
    End Sub

    Private Sub KryptonComboBox2_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles KryptonComboBox2.SelectedIndexChanged
        TabControl1.SelectedIndex = KryptonComboBox2.SelectedIndex
    End Sub
End Class
